<?xml version='1.0' encoding='UTF-8'?>
<FilingSummary>
  <Version>3.3.1.900</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>108</ContextCount>
  <ElementCount>233</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>false</FootnotesReported>
  <SegmentCount>37</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>8</UnitCount>
  <MyReports>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>0001000 - Document - Document and Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/DocumentAndEntityInformation</Role>
      <ShortName>Document and Entity Information</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>1001000 - Statement - Consolidated Balance Sheets</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/ConsolidatedBalanceSheets</Role>
      <ShortName>Consolidated Balance Sheets</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>1001501 - Statement - Consolidated Balance Sheets (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/ConsolidatedBalanceSheetsParenthetical</Role>
      <ShortName>Consolidated Balance Sheets (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>1002000 - Statement - Consolidated Statements of Income</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/ConsolidatedStatementsOfIncome</Role>
      <ShortName>Consolidated Statements of Income</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>1003000 - Statement - Consolidated Statements of Shareholders' Equity</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/ConsolidatedStatementsOfShareholdersEquity</Role>
      <ShortName>Consolidated Statements of Shareholders' Equity</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>1003501 - Statement - Consolidated Statements of Shareholders' Equity (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/ConsolidatedStatementsOfShareholdersEquityParenthetical</Role>
      <ShortName>Consolidated Statements of Shareholders' Equity (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>6</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>1004000 - Statement - Consolidated Statements of Cash Flows</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/ConsolidatedStatementsOfCashFlows</Role>
      <ShortName>Consolidated Statements of Cash Flows</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>7</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>2101100 - Disclosure - Business and Organization (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/BusinessAndOrganizationNotes</Role>
      <ShortName>Business and Organization (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>8</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>2102100 - Disclosure - Significant Accounting Policies (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/SignificantAccountingPoliciesNotes</Role>
      <ShortName>Significant Accounting Policies (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>9</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>2103100 - Disclosure - Investment Portfolio (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/InvestmentPortfolioNotes</Role>
      <ShortName>Investment Portfolio (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>10</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>2104100 - Disclosure - Line of Credit (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/LineOfCreditNotes</Role>
      <ShortName>Line of Credit (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>11</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>2105100 - Disclosure - Capital Stock (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/CapitalStockNotes</Role>
      <ShortName>Capital Stock (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>12</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>2107100 - Disclosure - Stock-Based Compensation (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/StockBasedCompensationNotes</Role>
      <ShortName>Stock-Based Compensation (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>13</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>2108100 - Disclosure - Operating Leases (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/OperatingLeasesNotes</Role>
      <ShortName>Operating Leases (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>14</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>2109100 - Disclosure - Income Taxes (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/IncomeTaxesNotes</Role>
      <ShortName>Income Taxes (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>15</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>2110100 - Disclosure - Earnings Per Share (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/EarningsPerShareNotes</Role>
      <ShortName>Earnings Per Share (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>16</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>2111100 - Disclosure - Regulatory Requirements (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/RegulatoryRequirementsNotes</Role>
      <ShortName>Regulatory Requirements (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>17</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>2112100 - Disclosure - Commitments and Contingencies (Notes)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.diamond-hill.com/role/CommitmentsAndContingenciesNotes</Role>
      <ShortName>Commitments and Contingencies (Notes)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>18</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>2202201 - Disclosure - Significant Accounting Policies (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/SignificantAccountingPoliciesPolicies</Role>
      <ShortName>Significant Accounting Policies (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/SignificantAccountingPoliciesNotes</ParentRole>
      <Position>19</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>2302302 - Disclosure - Significant Accounting Policies (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/SignificantAccountingPoliciesTables</Role>
      <ShortName>Significant Accounting Policies (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/SignificantAccountingPoliciesNotes</ParentRole>
      <Position>20</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>2303301 - Disclosure - Investment Portfolio (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/InvestmentPortfolioTables</Role>
      <ShortName>Investment Portfolio (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/InvestmentPortfolioNotes</ParentRole>
      <Position>21</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>2307301 - Disclosure - Stock-Based Compensation (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/StockBasedCompensationTables</Role>
      <ShortName>Stock-Based Compensation (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/StockBasedCompensationNotes</ParentRole>
      <Position>22</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>2308301 - Disclosure - Operating Leases (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/OperatingLeasesTables</Role>
      <ShortName>Operating Leases (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/OperatingLeasesNotes</ParentRole>
      <Position>23</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>2309301 - Disclosure - Income Taxes (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/IncomeTaxesTables</Role>
      <ShortName>Income Taxes (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/IncomeTaxesNotes</ParentRole>
      <Position>24</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>2310301 - Disclosure - Earnings Per Share (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/EarningsPerShareTables</Role>
      <ShortName>Earnings Per Share (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/EarningsPerShareNotes</ParentRole>
      <Position>25</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>2311301 - Disclosure - Regulatory Requirements (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/RegulatoryRequirementsTables</Role>
      <ShortName>Regulatory Requirements (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/RegulatoryRequirementsNotes</ParentRole>
      <Position>26</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>2401401 - Disclosure - Business and Organization (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/BusinessAndOrganizationDetails</Role>
      <ShortName>Business and Organization (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/BusinessAndOrganizationNotes</ParentRole>
      <Position>27</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>2402403 - Disclosure - Significant Accounting Policies  - Summary of Fair Value Based Upon Level 1 and Level 2 Inputs (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/SignificantAccountingPoliciesSummaryOfFairValueBasedUponLevel1AndLevel2InputsDetails</Role>
      <ShortName>Significant Accounting Policies  - Summary of Fair Value Based Upon Level 1 and Level 2 Inputs (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>28</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>2402404 - Disclosure - Significant Accounting Policies  - Summary of Assets Under Management Subject to Fees (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/SignificantAccountingPoliciesSummaryOfAssetsUnderManagementSubjectToFeesDetails</Role>
      <ShortName>Significant Accounting Policies  - Summary of Assets Under Management Subject to Fees (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>29</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>2402405 - Disclosure - Significant Accounting Policies  - Schedule of Fee by Series and Share Class (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/SignificantAccountingPoliciesScheduleOfFeeBySeriesAndShareClassDetails</Role>
      <ShortName>Significant Accounting Policies  - Schedule of Fee by Series and Share Class (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>30</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>2402406 - Disclosure - Significant Accounting Policies  - Mutual Fund Adminstration Revenue (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/SignificantAccountingPoliciesMutualFundAdminstrationRevenueDetails</Role>
      <ShortName>Significant Accounting Policies  - Mutual Fund Adminstration Revenue (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>31</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>2402407 - Disclosure - Significant Accounting Policies (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/SignificantAccountingPoliciesDetailsTextual</Role>
      <ShortName>Significant Accounting Policies (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/SignificantAccountingPoliciesTables</ParentRole>
      <Position>32</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>2403402 - Disclosure - Investment Portfolio  - Summary of Cash and Cash Equivalent Investments, Excluding Money Market Funds (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/InvestmentPortfolioSummaryOfCashAndCashEquivalentInvestmentsExcludingMoneyMarketFundsDetails</Role>
      <ShortName>Investment Portfolio  - Summary of Cash and Cash Equivalent Investments, Excluding Money Market Funds (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>33</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>2403403 - Disclosure - Investment Portfolio  - Summary of Partnership Investments (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/InvestmentPortfolioSummaryOfPartnershipInvestmentsDetails</Role>
      <ShortName>Investment Portfolio  - Summary of Partnership Investments (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>34</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>2403404 - Disclosure - Investment Portfolio (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/InvestmentPortfolioDetailsTextual</Role>
      <ShortName>Investment Portfolio (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/InvestmentPortfolioTables</ParentRole>
      <Position>35</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>2404401 - Disclosure - Line of Credit (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/LineOfCreditDetails</Role>
      <ShortName>Line of Credit (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/LineOfCreditNotes</ParentRole>
      <Position>36</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>2405401 - Disclosure - Capital Stock (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/CapitalStockDetails</Role>
      <ShortName>Capital Stock (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/CapitalStockNotes</ParentRole>
      <Position>37</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>2407402 - Disclosure - Stock-Based Compensation  - Roll Forward of Restricted Stock Grants (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/StockBasedCompensationRollForwardOfRestrictedStockGrantsDetails</Role>
      <ShortName>Stock-Based Compensation  - Roll Forward of Restricted Stock Grants (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>38</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>2407403 - Disclosure - Stock-Based Compensation  - Summary of Deferred Compensation Expense Recognition (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/StockBasedCompensationSummaryOfDeferredCompensationExpenseRecognitionDetails</Role>
      <ShortName>Stock-Based Compensation  - Summary of Deferred Compensation Expense Recognition (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>39</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>2407404 - Disclosure - Stock-Based Compensation - Schedule of Grants Issued and Grant Date Fair Value (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/StockBasedCompensationScheduleOfGrantsIssuedAndGrantDateFairValueDetails</Role>
      <ShortName>Stock-Based Compensation - Schedule of Grants Issued and Grant Date Fair Value (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>40</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>2407405 - Disclosure - Stock-Based Compensation  - 401(k) Plan (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/StockBasedCompensation401KPlanDetails</Role>
      <ShortName>Stock-Based Compensation  - 401(k) Plan (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>41</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>2407406 - Disclosure - Stock-Based Compensation (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/StockBasedCompensationDetailsTextual</Role>
      <ShortName>Stock-Based Compensation (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/StockBasedCompensationTables</ParentRole>
      <Position>42</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>2408402 - Disclosure - Operating Leases  - Summary of Lease and Operating Expenses (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/OperatingLeasesSummaryOfLeaseAndOperatingExpensesDetails</Role>
      <ShortName>Operating Leases  - Summary of Lease and Operating Expenses (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>43</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>2408403 - Disclosure - Operating Leases  - Schedule of Future Minimum Lease Payments (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/OperatingLeasesScheduleOfFutureMinimumLeasePaymentsDetails</Role>
      <ShortName>Operating Leases  - Schedule of Future Minimum Lease Payments (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>44</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>2408404 - Disclosure - Operating Leases (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/OperatingLeasesDetailsTextual</Role>
      <ShortName>Operating Leases (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/OperatingLeasesTables</ParentRole>
      <Position>45</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>2409402 - Disclosure - Income Taxes  - Summary of Consolidated Federal Income Tax Return (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/IncomeTaxesSummaryOfConsolidatedFederalIncomeTaxReturnDetails</Role>
      <ShortName>Income Taxes  - Summary of Consolidated Federal Income Tax Return (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>46</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>2409403 - Disclosure - Income Taxes  - Reconciliation of Income Tax Expense to Federal Statutory Rate (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/IncomeTaxesReconciliationOfIncomeTaxExpenseToFederalStatutoryRateDetails</Role>
      <ShortName>Income Taxes  - Reconciliation of Income Tax Expense to Federal Statutory Rate (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>47</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>2409404 - Disclosure - Income Taxes  - Schedule of Deferred Tax Assets and Liabilities (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/IncomeTaxesScheduleOfDeferredTaxAssetsAndLiabilitiesDetails</Role>
      <ShortName>Income Taxes  - Schedule of Deferred Tax Assets and Liabilities (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>48</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>2409405 - Disclosure - Income Taxes (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/IncomeTaxesDetailsTextual</Role>
      <ShortName>Income Taxes (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/IncomeTaxesTables</ParentRole>
      <Position>49</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>2410402 - Disclosure - Earnings Per Share (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/EarningsPerShareDetails</Role>
      <ShortName>Earnings Per Share (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/EarningsPerShareTables</ParentRole>
      <Position>50</Position>
    </Report>
    <Report instance="dhil-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>2411402 - Disclosure - Regulatory Requirements (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.diamond-hill.com/role/RegulatoryRequirementsDetails</Role>
      <ShortName>Regulatory Requirements (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.diamond-hill.com/role/RegulatoryRequirementsTables</ParentRole>
      <Position>51</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <InputFiles>
    <File>dhil-20151231.xml</File>
    <File>dhil-20151231.xsd</File>
    <File>dhil-20151231_cal.xml</File>
    <File>dhil-20151231_def.xml</File>
    <File>dhil-20151231_lab.xml</File>
    <File>dhil-20151231_pre.xml</File>
  </InputFiles>
  <SupplementalFiles/>
  <BaseTaxonomies/>
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
